
IF NOT EXISTS (SELECT * 
				 FROM INFORMATION_SCHEMA.KEY_COLUMN_USAGE 
			    WHERE CONSTRAINT_NAME = 'PK_EST_NF_ENT_FINANCEIRO_CANCEL'
			      AND COLUMN_NAME ='CD_CTR'
			   )
begin 
	ALTER TABLE EST_NF_ENT_FINANCEIRO_CANCEL DROP  CONSTRAINT PK_EST_NF_ENT_FINANCEIRO_CANCEL
	ALTER TABLE EST_NF_ENT_FINANCEIRO_CANCEL ADD CONSTRAINT  PK_EST_NF_ENT_FINANCEIRO_CANCEL PRIMARY KEY (CD_EMP, CD_FILIAL, CD_NF, CD_CTR)
end 